List Events
Returns a list of events filtered by category, status, date range, or tags.
Endpoint
Section titled “Endpoint”POST
/event/v1/listeventsRequest Body
Section titled “Request Body”curl -X POST https://api.juspredict.com/event/v1/listevents \-H 'Authorization: Bearer YOUR_TOKEN' \-H 'Content-Type: application/json' \-d '{"category": 1,"status": [1, 2],"start_date": 1713441600,"page_size": 10}'{"category": 1,"status": [1, 2],"start_date": 1713441600,"page_size": 10}Response Body
Section titled “Response Body”{"status": { "type": "SUCCESS" },"events": [{ "id": "event-uuid", "name": "Match A vs Match B", "status": 1}],"total_count": 50}{"status": {"type": "ERROR","details": [ { "code": "401", "message": "Unauthorized access token." }]}}Response Fields
Section titled “Response Fields”| Field | Type | Description |
|---|---|---|
status | Status | Operation status. |
events | Event[] | List of matching events. |
total_count | int32 | Total events matching filters. |